Get information about an existing IFTA detail job.
Rate limit: 5 requests/sec (learn more about rate limits here).
To use this endpoint, select Read IFTA (US) under the Compliance category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request GET \
--url https://api.samsara.com/ifta-detail/csv/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"args": {
"endHour": "2019-06-13T19:00:00Z",
"startHour": "2019-06-13T19:00:00Z",
"vehicleIds": [
12345678,
56789123
]
},
"jobId": "8cabba84-bef4-4951-8cd2-78ce898fd8e6",
"jobStatus": "Processing",
"requestedAtTime": "2019-06-13T19:00:00Z",
"completedAtTime": "2019-06-13T19:00:00Z",
"details": "Try limiting the number of vehicles requested per job to reduce the processing duration.",
"failedAtTime": "2019-06-13T19:00:00Z",
"files": [
{
"createdAtTime": "2019-06-13T19:00:00Z",
"downloadUrl": "https://s3.download-url.com",
"downloadUrlExpirationTime": "2019-06-13T19:00:00Z",
"name": "output-001.csv.gz",
"recordCount": 8126609865522604000
}
],
"startedAtTime": "2019-06-13T19:00:00Z"
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the requested job.
OK response.
A job representing the async generation of IFTA mileage segments. The job should be polled until the state is terminal.
Show child attributes
curl --request GET \
--url https://api.samsara.com/ifta-detail/csv/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"args": {
"endHour": "2019-06-13T19:00:00Z",
"startHour": "2019-06-13T19:00:00Z",
"vehicleIds": [
12345678,
56789123
]
},
"jobId": "8cabba84-bef4-4951-8cd2-78ce898fd8e6",
"jobStatus": "Processing",
"requestedAtTime": "2019-06-13T19:00:00Z",
"completedAtTime": "2019-06-13T19:00:00Z",
"details": "Try limiting the number of vehicles requested per job to reduce the processing duration.",
"failedAtTime": "2019-06-13T19:00:00Z",
"files": [
{
"createdAtTime": "2019-06-13T19:00:00Z",
"downloadUrl": "https://s3.download-url.com",
"downloadUrlExpirationTime": "2019-06-13T19:00:00Z",
"name": "output-001.csv.gz",
"recordCount": 8126609865522604000
}
],
"startedAtTime": "2019-06-13T19:00:00Z"
}
}